Package it.ernytech.tdlib

## Class TdApi.PasswordState

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PasswordState

Enclosing class:
  TdApi

    public static class TdApi.PasswordState
    extends TdApi.Object

Represents the current state of 2-step verification.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `hasPassword` True if a 2-step verification password has been set up.
`boolean` `hasRecoveryEmailAddress` True if a recovery email has been set up.
`java.lang.String` `passwordHint` Hint for the password; can be empty.
`java.lang.String` `unconfirmedRecoveryEmailAddressPattern` Pattern of the email address to which a confirmation email was sent.

### Constructor Summary

Constructors
`PasswordState()` Default constructor.
`PasswordState​(boolean hasPassword, java.lang.String passwordHint, boolean hasRecoveryEmailAddress, java.lang.String unconfirmedRecoveryEmailAddressPattern)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### hasPassword

    public boolean hasPassword

True if a 2-step verification password has been set up.

#### passwordHint

    public java.lang.String passwordHint

Hint for the password; can be empty.

#### hasRecoveryEmailAddress

    public boolean hasRecoveryEmailAddress

True if a recovery email has been set up.

#### unconfirmedRecoveryEmailAddressPattern

    public java.lang.String unconfirmedRecoveryEmailAddressPattern

Pattern of the email address to which a confirmation email was sent.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PasswordState

    public PasswordState()

Default constructor.

#### PasswordState

    public PasswordState​(boolean hasPassword,
                         java.lang.String passwordHint,
                         boolean hasRecoveryEmailAddress,
                         java.lang.String unconfirmedRecoveryEmailAddressPattern)

Constructor for initialization of all fields.

Parameters:
  `hasPassword` - True if a 2-step verification password has been set up.
  `passwordHint` - Hint for the password; can be empty.
  `hasRecoveryEmailAddress` - True if a recovery email has been set up.
  `unconfirmedRecoveryEmailAddressPattern` - Pattern of the email address to which a confirmation email was sent.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR